package com.ozs.service.entity;

import com.ozs.common.annotation.Excel;
import lombok.Builder;
import lombok.Data;
import sun.reflect.generics.tree.Tree;

import java.io.Serializable;
import java.util.List;

/**
 * 视频服务树形结构表 @author Administrator
 */
@Data
@Builder
public class CameraTree implements Serializable,Comparable<CameraTree> {

    private static final long serialVersionUID = 1L;
    String code;
    String name;
    boolean flay;
    Integer mileage;
    /**
     * 所属工务段
     */
    @Excel(name = "所属工务段")
    private String publicWorksSection;
    List<CameraTree> children;

    @Override
    public int compareTo(CameraTree o) {
        int i =o.getName().compareTo(o.name);
        return i;
    }
}
