package com.ozs.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.service.entity.BaseCameraVersion;
import com.ozs.service.entity.vo.BaseCameraVersionVo;

/**
 * @Author : sunhh
 * @create 2023/4/24 11:21
 */
public interface BaseCameraVersionService extends IService<BaseCameraVersion> {
    AjaxResult cameraVersionAdd(BaseCameraVersion baseCameraVersion, String userId);

    com.github.pagehelper.Page<BaseCameraVersion> cameraVersionList(BaseCameraVersionVo baseCameraVersionVo);

    AjaxResult cameraVersionUpgrade(BaseCameraVersionVo baseCameraVersion, String userId);
}
