package com.ozs.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgAppPush;
import com.ozs.service.entity.vo.MsgAlarmVo;
import com.ozs.service.entity.vo.MsgAppPushVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
public interface MsgAppPushService extends IService<MsgAppPush> {
    /**
     * app推送报警信息记录
     *
     * @param msgAppPushVo
     * @param
     * @return
     */
    IPage<MsgAlarm> alarmPushMsg(MsgAlarmVo msgAlarmVo);

    /**
     * app推送报警信息记录修改状态
     *
     * @param status
     * @param id
     * @param updateBy
     * @return
     */
    int updates(MsgAppPush msgAppPush);

    List<MsgAppPush> getByUserId(String userId);
}
