package com.ozs.service.service.impl;

import com.ozs.service.entity.MqLog;
import com.ozs.service.mapper.MqLogMapper;
import com.ozs.service.service.MqLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author ozs
 * @since 2023-04-26
 */
@Service
public class MqLogServiceImpl extends ServiceImpl<MqLogMapper, MqLog> implements MqLogService {
    @Autowired
    MqLogMapper mqLogMapper;

    @Override
    public void insetHeartLog(String cameraCode) {
        MqLog mqLog = new MqLog();
        mqLog.setCameraCode(cameraCode);
        mqLogMapper.insert(mqLog);
    }
}
