package com.ozs.service.utils;


import com.ozs.service.service.CameraLogDetailService;
import com.ozs.service.service.CameraUpdateLogService;
import com.ozs.service.service.MqLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * 相机工具
 * @author Administrator
 */

@Configuration
@Slf4j
@Component
public class CallbackUtil {
    @Autowired
    CameraLogDetailService cameraLogDetailService;
    @Autowired
    MqLogService mqLogService;
    private static  CameraLogDetailService cameraLogDetail;
    private static  MqLogService mqLog;

    @PostConstruct
    public void init() {
        cameraLogDetail = cameraLogDetailService;
        mqLog=mqLogService;
    }
    
    public static void  callback(String deviceSn,Integer code,String remark){
        CallbackUtil.cameraLogDetail.updateAccessories(deviceSn,code,remark);
    }

    public static void  heart(String cameraCode){
        CallbackUtil.mqLog.insetHeartLog(cameraCode);
    }
}
