package com.ozs.service.entity.vo;

import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 统计管理页面强求参数
 *
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Data
public class AlarmStatisticResVo extends PageVo implements Serializable {
    /**
     * 线路
     */
    private String railwayCode;

    /**
     * 当前年份
     */
    private Integer currentYear;

    /**
     * 当前月份
     */
    private Integer currentMonth;

    /**
     * 灾害类型
     */
    private String alarmType;

    private List<Long> ids;
}
