package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgAppPush;
import com.ozs.service.entity.vo.MsgAlarmVo;
import com.ozs.service.entity.vo.MsgAppPushVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Mapper
public interface MsgAppPushMapper extends BaseMapper<MsgAppPush> {
    /**
     * app推送报警信息记录
     *
     * @param status
     * @param
     * @return
     */
    List<MsgAppPushVo> alarmPushMsg(MsgAppPushVo msgAppPushVo);

    /**
     * app推送报警信息记录修改状态
     *
     * @param status
     * @param id
     * @param updateBy
     * @return
     */
    int updates(MsgAppPush msgAppPush);

    List<MsgAlarm> messageMoreApp(MsgAlarmVo msgAlarmVo);

    List<MsgAppPush> getByUserId(String userId);
}
