package com.ozs.web.core.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CaneraConfig {


    /**
     * ffmpeg.exe路径
     * "D:\\Java\\operSources\\ffmpeg-4.3.1\\bin\\ffmpeg.exe"
     */
    @Value("${base.ffmpegPath:C:\\Users\\Administrator.DESKTOP-0NUUTMM\\Downloads\\ffmpeg-5.1.2-essentials_build\\ffmpeg-5.1.2-essentials_build\\bin\\ffmpeg.exe}")
    private String ffmpegPath;

    @Value("${base.filePath:/opt/streams/}")
    private String filePath;

    /**
     * 录制视频存放路径
     */
    @Value("${base.transcribeFilePath:/opt/streams/record/flv}")
    private String transcribeFilePath;

    @Value("${base.webUrl:http://47.106.159.135/streams}")
    private String webUrl;

    @Value("${base.bakUrl:http://124.70.58.209:18891}")
    private String bakUrl;

    @Value("${base.wsUrl:http://124.70.58.209:18891}")
    private String wsUrl;

    @Value("${base.recordUrl:http://183.236.39.220:8083}")
    private String recordUrl;
}
